Novi Data v3 API
Retrieve the latest updates to the database in the format of diffs which you can apply incrementally to reach the latest version
Fetching the onshore bulk diff file for Basin = Permian since the export you last applied looks like this: /api/v3/bulk-diffs.json?q[Basin_eq]=Permian&scope=us-onshore&since=<ExportDate>
Retrieve the latest updates to the database in the format of diffs which you can apply incrementally to reach the latest version
/bulk-diffsFetching the onshore bulk diff file for Basin = Permian since the export you last applied looks like this: /api/v3/bulk-diffs.json?q[Basin_eq]=Permian&scope=us-onshore&since=<ExportDate>
We recommend downloading the full dataset regularly (for example, weekly) instead of using diffs.
Parameters
Query parameters
sincestringRequiredExportDate of the last export you applied. If it is more than 89 days old, the response is 400 with error_code
force_full_download: download the full export from /bulk instead, as daily exports are listed for 89 days only.scopestringOptionalDefault
"us-horizontals"The dataset:
us-horizontals(US horizontals),gom(Gulf of Mexico),us-onshore(US onshore) orcanada(Canada). Defaults tous-horizontals."us-horizontals""gom""us-onshore""canada"qobjectOptionalFilter with Ransack matchers, for example
q[Basin_eq]=Permian. See Ransack search matchers.
Responses
200 OK
The latest updates to the database in the format of diffs which you can apply incrementally to reach the latest version, as JSON.
The OpenAPI document has no schema for this response.
Errors
| Status | When |
|---|---|
| 400 | Bad request. When |